:root {
  --bg-color: #ffee8809;
}

header .title {
  width: 100%;
  align-items: flex-end;
}

h1 {
  width: 100%;
  margin-top: 2rem;
  font-weight: 500;
}

h2 {
  font-weight: 500;
  margin-top: 1.4rem;
}

#byline {
  width: 100%;
  display: flex;
  flex-direction: column;
  font-family: system-ui, sans-serif;
  font-size: 1rem;
  line-height: 1;
  .author {
    font-weight: 600;
    margin-bottom: 0.25rem;
  }
}


/* Use this to highlight some text in the main column that corresponds with an aside */
i {
  padding: .15em 0.1em;
  font-style: normal;
  background-color: hsl(357, 100%, 96%);
  border-bottom: 1.5px solid #fff;
}

aside {
  padding: .5rem;
  font-family: system-ui, sans-serif;
  background: white;
  border-top: 2px solid rgba(255, 220, 233, 0.267);
  border-bottom: 1px solid rgba(89, 0, 44, 0.133);
  box-shadow: 0 2px 8px rgba(96, 96, 0, 0.067);
}

aside i {
  display: block;
  padding: 0;
  border: none;
  background: none;
}

aside i::after {
  content: ":";
}

/* An aside can start with an <i> elm, which is the author */
aside i {
  font-weight: 600;
}

aside i + p {
  margin: 0;
}

aside p:first-child {
  margin: 0;
}

aside i:not(:first-of-type) {
  margin-top: 0rem;
}

@media (min-width: 46rem) {
  .move-up {
    margin-top: calc(-24px * var(--move-up) - 10px); /* The -10px just visually adjusts the baseline so it matches the body text */
  }
}

